Synopsis:          Important: dhcp security update
Advisory ID:       SLSA-2021:2357-1
Issue Date:        2021-06-09
CVE Numbers:       CVE-2021-25217
--

Security Fix(es):

* dhcp: stack-based buffer overflow when parsing statements with  colon-
separated hex digits in config or lease files in dhcpd and dhclient
(CVE-2021-25217)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE

---

SL7
x86_64

dhclient-4.2.5-83.el7_9.1.x86_64.rpm
dhcp-4.2.5-83.el7_9.1.x86_64.rpm
dhcp-common-4.2.5-83.el7_9.1.x86_64.rpm
dhcp-debuginfo-4.2.5-83.el7_9.1.i686.rpm
dhcp-debuginfo-4.2.5-83.el7_9.1.x86_64.rpm
dhcp-devel-4.2.5-83.el7_9.1.i686.rpm
dhcp-devel-4.2.5-83.el7_9.1.x86_64.rpm
dhcp-libs-4.2.5-83.el7_9.1.i686.rpm
dhcp-libs-4.2.5-83.el7_9.1.x86_64.rpm
--

- Scientific Linux Development Team